Page MenuHomePhabricator

ProofreadPage namespaces are wrong on pms.source
Closed, ResolvedPublic

Description

Pms.source has just been created, but something is wrong with the namespaces. Right now I see the following namespaces exists:
Pàgina ns102 - Discussion ëd la pàgina: ns103
Tàula: ns104 - Discussion ëd la tàula: ns105
Page: ns250 - Page talk: ns251
Index: ns252 - Index talk: ns253

And the ProofreadPage extension is operating on Index and Page.

Instead, as requested on the parent task:

  • the ProofreadPage extension should be configured to use "Tàula" as index ns and "Pàgina" as page ns.
  • "Index" should not be a separate namespace, but only an alias to "Tàula"
  • "Page" should not be a separate namespace, but only an alias to "Pàgina"

Event Timeline

Candalua triaged this task as Normal priority.Jun 12 2018, 7:50 PM
Candalua created this task.
Urbanecm claimed this task.Jun 12 2018, 7:50 PM

Will fix, thanks!

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 12 2018, 7:50 PM
Candalua updated the task description. (Show Details)Jun 12 2018, 7:51 PM
Urbanecm raised the priority of this task from Normal to High.Jun 12 2018, 7:52 PM

Should has precedence between other patches on my personal workboard based on deployment order User-Urbanecm.

Change 440009 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Make ProofreadPage operate on correct namespaces in pmswikisource

https://gerrit.wikimedia.org/r/440009

Change 440010 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/ProofreadPage@master] Adds namespaces translation for Piedmontese

https://gerrit.wikimedia.org/r/440010

Tpt added a subscriber: Tpt.Jun 12 2018, 8:01 PM

@Urbanecm Hey, it would be much better to not allocate custom namespace ids for the Page: and Index: namespaces but just let ProofreadPage setup the two namespaces with the proper names with the standard namespaces 250 and 252. I just did a change to ProofreadPage for that: https://gerrit.wikimedia.org/r/440010

When it's merged we could remove the custom namespace configuration from InitialiseSettings.php and run the maintenance script to fix namespace ids.

@Tpt: Okay, you're right. Do you think I should fix it in nearest deployment window by deploying what I prepared or wait till someboy merges this and for a train?

Tpt added a comment.Jun 12 2018, 8:07 PM

Merging the current namespace fix in the next SWAT looks like a sensible thing to do to have the namespaces properly working.

When the ProofreadPage change is going to be live we could update the site config and make the namespace fixing script run at the same time as the configuration deployment during a SWAT window sometime next week (without any urgency)

Change 440010 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Adds namespaces translation for Piedmontese

https://gerrit.wikimedia.org/r/440010

Ok, I'll schedule my patch for next SWAT and remove the extra namespace some time after it.

Tpt added a comment.Jun 12 2018, 8:13 PM

Great! Thanks!

Change 440009 merged by jenkins-bot:
[operations/mediawiki-config@master] Make ProofreadPage operate on correct namespaces in pmswikisource

https://gerrit.wikimedia.org/r/440009

Mentioned in SAL (#wikimedia-operations) [2018-06-13T13:26:32Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:440009|Make ProofreadPage operate on correct namespaces in pmswikisource (T197033)]] (duration: 00m 57s)

Urbanecm lowered the priority of this task from High to Low.Jun 13 2018, 1:28 PM

This is fixed by my patch, ProofreadPage is operating on correct namespace. As soon as train pickes up @Tpt's change, it can be reverted.

There is one page originally in the Page: namespace which is now appearing in https://pms.wikisource.org/wiki/Special:Contributi/Candalua as "Special:Badtitle/NS250:Agrumi - August Kopisch - 1838.pdf/56". Is it possible to fix it? (or delete it, whatever is easier - it's just one page)

It should be easy to fix it. Will schedule it for today SWAT.

zfilipin@terbium:~$ mwscript namespaceDupes.php pmswikisource
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
zfilipin@terbium:~$ mwscript namespaceDupes.php pmswikisource
0 pages to fix, 0 were resolvable.
0 links to fix, 0 were resolvable.
Looks good!
19:21, 8 giu 2018 (dif. | stòria) . . (-18)‎ . . Special:Badtitle/NS250:Agrumi - August Kopisch - 1838.pdf/56 ‎

Looks no good! :D

Yep, it wasn't what I thought. I will investigate later.

Fixed. Can you check please?

Fixed. Can you check please?

Now it's fine. Thank you!

Candalua closed this task as Resolved.Jun 28 2018, 3:45 PM
Vvjjkkii renamed this task from ProofreadPage namespaces are wrong on pms.source to 65aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
Bodhisattwa renamed this task from 65aaaaaaaa to ProofreadPage namespaces are wrong on pms.source.Jul 1 2018, 3:07 PM
Bodhisattwa closed this task as Resolved.
Bodhisattwa assigned this task to Urbanecm.
Bodhisattwa lowered the priority of this task from High to Low.
Bodhisattwa updated the task description. (Show Details)
Bodhisattwa added subscribers: Aklapper, gerritbot.